{
  "manifest_version": 3,
  "name": "TEMU助手",
  "description": "TEMU助手 - 自动化提高生产效率",
  "version": "1.0",
  "background": {
    "service_worker": "/background.js"
  },
  "icons": {
    "16": "icons/16.png",
    "48": "icons/48.png",
    "128": "icons/128.png"
  },
  "action": {
  },
  "host_permissions": [
    "*://*.pinduoduo.com/",
    "*://*.temu.com/",
    "*://*.aliexpress.us/",
    "*://*.amazon.com/"
  ],
  "permissions": [
    "cookies",
    "notifications",
    "tabs",
    "scripting",
    "webRequest",
    "declarativeNetRequest",
    "declarativeNetRequestWithHostAccess",
    "declarativeNetRequestFeedback",
    "activeTab"
  ],
  "declarative_net_request": {
    "rule_resources": [{
      "id": "1",
      "enabled": true,
      "path": "rules_1.json"
    }]
  },
  "content_scripts": [
    {
      "matches": [
        "*://*.aliexpress.us/item/*",
        "*://*.amazon.com/*"
      ],
      "js": [
        "/content.js"
      ]
    }
  ],
  "web_accessible_resources": [
    {
      "resources": [ "js/download.js","js/jszip.min.js","js/FileSaver.js" ],
      "matches": [ "*://*.aliexpress.us/*", "*://*.amazon.com/*" ]
    }
  ]
}
